###

#

MutableHomogeneousColorBaseConcept< ColorBase > Struct Template Reference
ColorBase » Concepts

Homogeneous color base that allows for modifying its elements. More...

`#include <color_base.hpp>`

## Public Member Functions

void | constraints ()

## Public Attributes

ColorBase | cb

## Detailed Description

### template<typename ColorBase>
struct boost::gil::MutableHomogeneousColorBaseConcept< ColorBase >

Homogeneous color base that allows for modifying its elements.

concept MutableHomogeneousColorBaseConcept<ColorBaseConcept CB>
: HomogeneousColorBaseConcept<CB>
{
kth_element_reference_type<CB, 0>::type dynamic_at_c(CB&, std::size_t n);
};

The documentation for this struct was generated from the following file:

- concepts/color_base.hpp